function HUEtoRGB(hue)
local h60=hue%60/60
local rgbWheel=({         -- range[deg]: Red  Gren  Blue
  [0]={1    ,  h60,0    },--   0 to  59: full up    none
  [1]={1-h60,1    ,0    },--  60 to 119: down full  none
  [2]={0    ,1    ,  h60},-- 120 to 179: none full  up
  [3]={0    ,1-h60,1    },-- 180 to 239: none down  full
  [4]={  h60,0    ,1    },-- 240 to 299: up   none  full
  [5]={1    ,0    ,1-h60} -- 300 to 359: full none  down
})[hue/60-hue/60%1]       -- math.floor(hue/60)
led(1023*rgbWheel[3],1023*rgbWheel[2],1023*rgbWheel[1])
end
local HueValue=0
tmr.alarm(3, 80,1, function()
if(HueValue>=360) then
HueValue=0
else
HUEtoRGB(HueValue)
HueValue=HueValue+2
end
end)
